
QGIS Application - Bug report #17924

Missing layouts when upgrading from 2.18 to 2.99

2018-01-22 06:57 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25820

Description

I have a long run project, full of print composers over the years.

Willing to try the layouts capabilities in 2.99, I open this project in master. It happens that it does not return all the print composers I had in

the project. (see screenshots)

Also attach the project file without data (not sure they are relevant here and not all data could be made public - let me know)

Associated revisions

Revision 6eed7dea - 2018-01-24 07:50 AM - Nyall Dawson

[layouts] Fix remaining composers are not restored after hitting

a composer which could not be added

Refs #17924

Revision b8880d46 - 2018-01-24 07:50 AM - Nyall Dawson

[layouts] Handle duplicated composer names when upgrading 2.x

projects

Somehow 2.x projects could end up with compositions with duplicate

names. This is strictly forbidden in 3.x, so we autogenerate a

new unique name if we encounter any duplicate composer names when

upgrading a 2.x project.

Fixes #17924

History

#1 - 2018-01-23 02:00 AM - Nyall Dawson

- Regression? changed from No to Yes

#2 - 2018-01-24 07:50 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b8880d46cd967f8e1574df08b0c96c848b9d23e4.
#3 - 2018-01-30 09:36 AM - Harrissou Santanna

Thanks Nyall. Got them all and more :-)

#4 - 2018-02-21 09:47 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

printcomposer218.PNG 2.6 MB 2018-01-22 Harrissou Santanna

layout299.PNG 2.96 MB 2018-01-22 Harrissou Santanna

Cadrages.qgs 2.59 MB 2018-01-22 Harrissou Santanna
